<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de l&#39;espace de nommage src.ownedUsbDisk</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespacesrc_1_1ownedUsbDisk.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Fonctions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Référence de l'espace de nommage src.ownedUsbDisk</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1Available.html">Available</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1MainWindow.html">MainWindow</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html">uDisk2</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a37de5850519fac8c502e9e9212f6ff74"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1ownedUsbDisk.html#a37de5850519fac8c502e9e9212f6ff74">tattooInDir</a> (mountPoint)</td></tr>
<tr class="separator:a37de5850519fac8c502e9e9212f6ff74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb4a87ad9154577da326f4844a97874b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1ownedUsbDisk.html#aeb4a87ad9154577da326f4844a97874b">editRecord</a> (owd, hint=&quot;&quot;)</td></tr>
<tr class="memdesc:aeb4a87ad9154577da326f4844a97874b"><td class="mdescLeft">&#160;</td><td class="mdescRight">édition de la base de données.  <a href="namespacesrc_1_1ownedUsbDisk.html#aeb4a87ad9154577da326f4844a97874b">Plus de détails...</a><br /></td></tr>
<tr class="separator:aeb4a87ad9154577da326f4844a97874b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaff14ed519b0d988d1ac64797748dfa"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1ownedUsbDisk.html#afaff14ed519b0d988d1ac64797748dfa">print_targets_if_modif</a> (man, obj)</td></tr>
<tr class="separator:afaff14ed519b0d988d1ac64797748dfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa5949b3c88fb64981b6d67bfffa970a2"><td class="memItemLeft" align="right" valign="top">dictionary&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1ownedUsbDisk.html#aa5949b3c88fb64981b6d67bfffa970a2">licence</a> = {}</td></tr>
<tr class="separator:aa5949b3c88fb64981b6d67bfffa970a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad047dcd57d27f543870f7003034b961b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1ownedUsbDisk.html#ad047dcd57d27f543870f7003034b961b">machin</a></td></tr>
<tr class="separator:ad047dcd57d27f543870f7003034b961b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a001687eb7179eb415a457dd46e89246e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1ownedUsbDisk.html#a001687eb7179eb415a457dd46e89246e">app</a> = QApplication(sys.argv)</td></tr>
<tr class="separator:a001687eb7179eb415a457dd46e89246e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6952ae302b2cdd98199228135684c240"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1ownedUsbDisk.html#a6952ae302b2cdd98199228135684c240">main</a> = <a class="el" href="classsrc_1_1ownedUsbDisk_1_1MainWindow.html">MainWindow</a>()</td></tr>
<tr class="separator:a6952ae302b2cdd98199228135684c240"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentation des fonctions</h2>
<a id="aeb4a87ad9154577da326f4844a97874b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb4a87ad9154577da326f4844a97874b">&#9670;&nbsp;</a></span>editRecord()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.ownedUsbDisk.editRecord </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>owd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>hint</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>édition de la base de données. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">owd</td><td>une instance de <a class="el" href="namespacesrc_1_1ownedUsbDisk.html">ownedUsbDisk</a> </td></tr>
    <tr><td class="paramname">hint</td><td>chaîne vide par défaut. Peut être le nom de l'ancien propriétaire </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00067">67</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>

</div>
</div>
<a id="afaff14ed519b0d988d1ac64797748dfa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afaff14ed519b0d988d1ac64797748dfa">&#9670;&nbsp;</a></span>print_targets_if_modif()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.ownedUsbDisk.print_targets_if_modif </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>man</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>obj</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00317">317</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>

</div>
</div>
<a id="a37de5850519fac8c502e9e9212f6ff74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37de5850519fac8c502e9e9212f6ff74">&#9670;&nbsp;</a></span>tattooInDir()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.ownedUsbDisk.tattooInDir </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>mountPoint</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00041">41</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="namespacesrc_1_1ownedUsbDisk_a37de5850519fac8c502e9e9212f6ff74_icgraph.png" border="0" usemap="#namespacesrc_1_1ownedUsbDisk_a37de5850519fac8c502e9e9212f6ff74_icgraph" alt=""/></div>
<map name="namespacesrc_1_1ownedUsbDisk_a37de5850519fac8c502e9e9212f6ff74_icgraph" id="namespacesrc_1_1ownedUsbDisk_a37de5850519fac8c502e9e9212f6ff74_icgraph">
<area shape="rect" title=" " alt="" coords="780,38,975,65"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a0f017995da90cd0101e2f4b3b040468c" title="Renvoie un tatouage présent sur la clé, quitte à le créer." alt="" coords="521,38,732,65"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a13f5a9f75b5433087f03adcd40aa47eb" title="renvoie un nom de propriétaire dans tous les cas." alt="" coords="231,13,473,39"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#aedab6e01d7f2856f128df0a24029a043" title=" " alt="" coords="239,63,465,90"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1uDisk2.html#a73b5455d4c295090d18f4c0b5a567675" title="Renvoie un élément de listage de données internes au disque." alt="" coords="5,5,183,47"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Documentation des variables</h2>
<a id="a001687eb7179eb415a457dd46e89246e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a001687eb7179eb415a457dd46e89246e">&#9670;&nbsp;</a></span>app</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.ownedUsbDisk.app = QApplication(sys.argv)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00327">327</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>

</div>
</div>
<a id="aa5949b3c88fb64981b6d67bfffa970a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5949b3c88fb64981b6d67bfffa970a2">&#9670;&nbsp;</a></span>licence</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dictionary src.ownedUsbDisk.licence = {}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00003">3</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>

</div>
</div>
<a id="ad047dcd57d27f543870f7003034b961b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad047dcd57d27f543870f7003034b961b">&#9670;&nbsp;</a></span>machin</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.ownedUsbDisk.machin</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00315">315</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>

</div>
</div>
<a id="a6952ae302b2cdd98199228135684c240"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6952ae302b2cdd98199228135684c240">&#9670;&nbsp;</a></span>main</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.ownedUsbDisk.main = <a class="el" href="classsrc_1_1ownedUsbDisk_1_1MainWindow.html">MainWindow</a>()</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="ownedUsbDisk_8py_source.html#l00328">328</a> du fichier <a class="el" href="ownedUsbDisk_8py_source.html">ownedUsbDisk.py</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1ownedUsbDisk.html">ownedUsbDisk</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
